Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.IOP
Class TaggedComponent

    java.lang.Object
      |
      +--org.omg.IOP.TaggedComponent

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class TaggedComponent
extends java.lang.Object
implements IDLEntity

Struct definition : TaggedComponent

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`byte[]` | `component_data` Struct member component_data
`int` | `tag` Struct member tag

Constructor Summary
`TaggedComponent()` Default constructor
`TaggedComponent(int tag, byte[] component_data)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tag

    public int tag

  Struct member tag

### component_data

    public byte[] component_data

  Struct member component_data

Constructor Detail

### TaggedComponent

    public TaggedComponent()

  Default constructor

### TaggedComponent

    public TaggedComponent(int tag,
                           byte[] component_data)

  Constructor with fields initialization
  Parameters:
    `tag` - tag struct member
    `component_data` - component_data struct member

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD